Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.plugin.filter.visualization
Class AbstractWebVisualizationFilterPlugin

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.analysis.plugin.filter.visualization.AbstractWebVisualizationFilterPlugin

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IWebVisualizationFilterPlugin, IPlugin

Direct Known Subclasses:
  PlainTextWebVisualization

    public abstract class AbstractWebVisualizationFilterPlugin

extends AbstractFilterPlugin
implements IWebVisualizationFilterPlugin

Since:
  1.9
Author:
  Nils Christian Ehmke

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`AbstractWebVisualizationFilterPlugin(Configuration configuration, IProjectContext projectContext)`

Method Summary

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init, terminate`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getCurrentConfiguration, getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.filter.visualization.IWebVisualizationFilterPlugin
`getHeader, getInitialContent, getUpdatedContent`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentConfiguration, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState, init, terminate`

Constructor Detail

### AbstractWebVisualizationFilterPlugin

    public AbstractWebVisualizationFilterPlugin(Configuration configuration,
                                                IProjectContext projectContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net